Selecting dimension objects by dimension style?

 I have a number of dimensions styles in a drawing, some of which are essentially redundant, but have a different name.  So, I was trying to clearn this up and purge the duplicate style.  However, I don't know how to find the dimensions that have the syle I want to purge.

I tried creating a leader with the offending dimension style, and then selected that leader. Then, I selected the filter icon on the properties window, hoping that would give me the option of selecting all other objects with that dimension style. But, there didn't seem to be a way to do it.

Is there a way to filter to select only objects with a particular dimension style?

Thanks,
Joe

Comments

  • Try:

    (ssget "X" '((3 . "STYLENAME")))

    Of course, you'll have to replace "STYLENAME" with the name you're looking for.
  •  Thank you, that worked great.  

    I was hoping there might be a way that didn't involve lisp.  The help file on the filter command seems to imply that any property of an object can be used to select.  But, perhaps this only works for the exact same type of object.  So, a leader and a linear dimensions are two different types of objects, even if they both can have a dimension style.

    -Joe
  • The following custom command will select both leaders and dimensions, but you have to type in the name of the dimension style.
    Maybe someone more advanced in lisp can add the part that opens a pull-down list of dimension styles.
    [code](defun c:QD ()
    (princ " selects only entities with a specified Dimension Style. These are the available styles:  ")
    (setq DSlist (vla-get-Dimstyles (vla-get-activedocument (vlax-get-acad-object))))
    (vlax-for DS1 DSlist (princ (vla-get-Name DS1)) (princ ", ") )
    (setq DS (getstring "\nEnter DimStyle to select:"))
    (setq PR (cons 3 DS))
    (setq ss1 (ssget (list PR)))
    (if ss1   (command "selgrips" ss1 "")
      (progn (princ "\n ...none found.") (princ))   )
    (command "regen")
    (command "selgrips" "p" "")
    ) ;;;[/code]

  •  It works great, thanks.

    -Joe
  • Quick Select can compose such selection set also. If multiple entity types are involved multiple steps are needed. E.g.:
    1. Select All Rotated dimensions.
    2. Add Radial dimensions.
    3. Add ...
This discussion has been closed.